server {
        listen 80;
        server_name htz.gjqh.com.cn;
        return 301 https://$host$request_uri;
}
server {
        listen 443 ssl;
        server_name htz.gjqh.com.cn;
        ssl_certificate /etc/nginx/cert/gjqh.com.cn_bundle.crt;
        ssl_certificate_key /etc/nginx/cert/gjqh.com.cn.key;
        location / {
                proxy_set_header Host $proxy_host;
                proxy_pass http://htz.gjqh.com.cn;
                proxy_set_header X-Real-IP $remote_addr;
                proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
        }
}
server {
        listen 80;
        server_name admin-htz.gjqh.com.cn;
        return 301 https://$host$request_uri;
}
server {
        listen 443 ssl;
        server_name admin-htz.gjqh.com.cn;
        ssl_certificate /etc/nginx/cert/gjqh.com.cn_bundle.crt;
        ssl_certificate_key /etc/nginx/cert/gjqh.com.cn.key;
        location / {
                proxy_set_header Host $proxy_host;
                proxy_pass http://admin-htz.gjqh.com.cn;
                proxy_set_header X-Real-IP $remote_addr;
                proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
        }
}
server {
        listen 80;
        server_name api-htz.gjqh.com.cn;
        return 301 https://$host$request_uri;
}
server {
        listen 443 ssl;
        server_name api-htz.gjqh.com.cn;
        ssl_certificate /etc/nginx/cert/gjqh.com.cn_bundle.crt;
        ssl_certificate_key /etc/nginx/cert/gjqh.com.cn.key;
        location / {
                proxy_set_header Host $proxy_host;
                proxy_pass http://api-htz.gjqh.com.cn;
                proxy_set_header X-Real-IP $remote_addr;
                proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
        }
}
server {
        listen 80;
        server_name store-htz.gjqh.com.cn;
        return 301 https://$host$request_uri;
}
server {
        listen 443 ssl;
        server_name store-htz.gjqh.com.cn;
        ssl_certificate /etc/nginx/cert/gjqh.com.cn_bundle.crt;
        ssl_certificate_key /etc/nginx/cert/gjqh.com.cn.key;
        location / {
                proxy_set_header Host $proxy_host;
                proxy_pass http://$host;
                proxy_set_header X-Real-IP $remote_addr;
                proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
        }
}
